Skip to content
Start here

Trigger a manual failover for a WARP Connector Tunnel

zero_trust.tunnels.warp_connector.failover.update(strtunnel_id, FailoverUpdateParams**kwargs) -> object
PUT/accounts/{account_id}/warp_connector/{tunnel_id}/failover

Triggers a manual failover for a specific WARP Connector Tunnel, setting the specified client as the active connector. The tunnel must be configured for high availability (HA) and the client must be linked to the tunnel.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare One Connectors WriteCloudflare One Connector: WARP Write
ParametersExpand Collapse
account_id: str

Cloudflare account ID

maxLength32
tunnel_id: str

UUID of the tunnel.

formatuuid
maxLength36
client_id: str

UUID of the Cloudflare Tunnel connector.

formatuuid
maxLength36
ReturnsExpand Collapse
object

Trigger a manual failover for a WARP Connector Tunnel

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
failover = client.zero_trust.tunnels.warp_connector.failover.update(
    tunnel_id="f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    account_id="699d98642c564d2e855e9661899b7252",
    client_id="1bedc50d-42b3-473c-b108-ff3d10c0d925",
)
print(failover)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {},
  "success": true
}